LibreOffice: AccessibleTextGraphicObject Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
AccessibleTextGraphicObject Service Reference

The accessible view of graphics. More...

`import"AccessibleTextGraphicObject.idl";`

Inheritance diagram for AccessibleTextGraphicObject:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface comprises the basic accessibility of text graphics. More...
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface describes the graphical representation of a graphic. More...
interface | ::com::sun::star::accessibility::XAccessibleImage
| This interface gives access to the image size and its description. More...
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
| This is the interface for listeners. More...

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleImage
string | getAccessibleImageDescription ()
| Returns the localized description of the image. More...
long | getAccessibleImageHeight ()
| Returns the height of the image. More...
long | getAccessibleImageWidth ()
| Returns the width of the image. More...
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...

## Detailed Description

The accessible view of graphics.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface describes the graphical representation of a graphic.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface comprises the basic accessibility of text graphics.

- The parent returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleParent() is the accessible view of a paragraph if the graphic is bound as character, and the accessible view of the document (or of a page in the page preview) in any other case.
- There are no children returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleChild().
- The role is com::sun::star::accessibility::AccessibleRole::GRAPHIC
- The name is the one assigned to the graphic in the text document. This means that it is not internationalized.
- The description is the one assigned to the graphic in the text document. This means that it is not internationalized. If no description has been set, the description equals the name.
- There are no relations.
- The following states might be contained in the state set returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleStateSet():
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC (indicates that the document window has been closed or the graphic is not existing any longer)
  - com::sun::star::accessibility::AccessibleStateType::EDITABLE
  - com::sun::star::accessibility::AccessibleStateType::ENABLED (always contained)
  - com::sun::star::accessibility::AccessibleStateType::OPAQUE
  - com::sun::star::accessibility::AccessibleStateType::SELECTABLE
  - com::sun::star::accessibility::AccessibleStateType::SELECTED
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED
  - com::sun::star::accessibility::AccessibleStateType::SHOWING
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE
- The locale is the one the text document itself.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

This is the interface for listeners.

## ◆ ::com::sun::star::accessibility::XAccessibleImage

interface ::com::sun::star::accessibility::XAccessibleImage

This interface gives access to the image size and its description.

The documentation for this service was generated from the following file:

- com/sun/star/text/AccessibleTextGraphicObject.idl